Skip to main content
GET
/
workspaces
/
{workspace_id}
/
workflows
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "id": "<string>",
      "title": "<string>",
      "description": "<string>",
      "status": "<string>",
      "icon_url": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "version": 123,
      "tags": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "ref": "<string>",
          "color": "<string>"
        }
      ],
      "alias": "<string>",
      "error_handler": "<string>",
      "latest_definition": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "version": 123,
        "created_at": "2023-11-07T05:31:56Z"
      },
      "folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "trigger_summary": {
        "schedule_count_online": 0,
        "schedule_cron": "<string>",
        "schedule_natural": "<string>",
        "webhook_active": false,
        "case_trigger_events": []
      }
    }
  ],
  "next_cursor": "<string>",
  "prev_cursor": "<string>",
  "has_more": false,
  "has_previous": false,
  "total_estimate": 123
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required

Query Parameters

tag
string[] | null

Filter workflows by tags

limit
integer
default:20
Required range: 0 <= x <= 200
cursor
string | null
reverse
boolean
default:false

Response

Successful Response

items
WorkflowReadMinimal · object[]
required
next_cursor
string | null

Cursor for next page

prev_cursor
string | null

Cursor for previous page

has_more
boolean
default:false

Whether more items exist

has_previous
boolean
default:false

Whether previous items exist

total_estimate
integer | null

Estimated total count from table statistics